﻿using MVCSampleBrowser.Models;
using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using Syncfusion.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript.Models;
using System.Web.Script.Serialization;
using System.Reflection;
using Newtonsoft.Json;
using Syncfusion.JavaScript;
using System.Data;
using System.Configuration;
using System.Data.SqlClient;

namespace MvcApplication66.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var DataSource = OrderRepository.GetAllRecords();
            ViewBag.datasource = DataSource;
            return View();
        }
        public ActionResult NormalUpdate(EditableOrder value)
        {
            OrderRepository.Update(value);
            return Json(value, JsonRequestBehavior.AllowGet);
        }

        public ActionResult NormalInsert(EditableOrder value)
        {
            EditableOrder ord = OrderRepository.GetAllRecords().Where(or => or.OrderID == value.OrderID).FirstOrDefault();
            if (ord.OrderID != null)
                throw new InvalidOperationException("OrderID already exist");//Exception thrown
            OrderRepository.Add(value);
            return Json(value, JsonRequestBehavior.AllowGet);
        }

        public ActionResult NormalDelete(int key)
        {
            OrderRepository.Delete(key);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
    }
}